site_name: 知识总结
site_description: 知识总结文档
site_author: hugemaker
# site_url:  # 请在这里填写您的网站URL
strict: false

repo_name: 'shark163/doc'
repo_url: 'https://gitea.hugemaker.com.cn/shark163/doc'

nav:
  - arduino:
      - 软件安装与配置: 软件安装与库文件设置.md
      - arduino内置函数:
        - 引脚操作: arduino内置函数/引脚操作.md
  - 行空板k10: 行空板K10小智ai固件烧录/行空板K10小智ai智能体烧录.md

theme:
  name: material
  language: zh
  palette:
    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: white
      accent: indigo
      toggle:
        icon: material/weather-sunny
        name: 切换到夜间模式
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: grey       # ← 主色调设为灰色
      accent: blue-grey   # ← 强调色为蓝灰色
      toggle:
        icon: material/weather-night
        name: 切换到日间模式
  features:
    - navigation.tabs
    - navigation.instant
    - content.action.edit
  font:
    text: Fira Sans
    code: Fira Mono
  icon:
    logo: material/school

markdown_extensions:
  - admonition
  - def_list
  - footnotes
  - meta
  - toc:
      permalink: ""
  - pymdownx.arithmatex:
      generic: true
  - pymdownx.caret
  - pymdownx.critic
  - pymdownx.details
  - pymdownx.emoji:
      emoji_generator: !!python/name:pymdownx.emoji.to_svg
  - pymdownx.highlight:
      linenums: true
  - pymdownx.inlinehilite
  - pymdownx.keys
  - pymdownx.magiclink
  - pymdownx.mark
  - pymdownx.smartsymbols
  - pymdownx.superfences:
      custom_fences:
        - name: math
          class: arithmatex
          format: !!python/name:pymdownx.arithmatex.fence_mathjax_format
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.tilde
  - pymdownx.tabbed:
      alternate_style: true

extra_javascript:
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js
  - stylesheets/preload.js

extra_css:
  - stylesheets/background.css
